kmod-forcedeth error by update

Issues related to configuring your network
Post Reply
carletto
Posts: 10
Joined: 2019/11/14 07:44:10

kmod-forcedeth error by update

Post by carletto » 2020/01/07 23:13:39

Hello Everybody,

i'm trying to update the forcedeth driver but i'm always getting this error:

Code: Select all

Errore: 
 Problema: conflicting requests
  - nothing provides kernel >= 4.18.0-147.el8 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(__pci_register_driver) = 0xe85eaefe needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_unregister_driver) = 0x4883cfc3 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_set_master) = 0xe724f530 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_disable_device) = 0x24796ca2 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_enable_device) = 0x982a3dc2 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_set_power_state) = 0x448ac50b needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_release_regions) = 0xbf4a2a75 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_request_regions) = 0x9c656956 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_write_config_dword) = 0xf38f65fd needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_disable_msi) = 0xc174fcd7 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_enable_msi) = 0xda24a9c7 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_disable_msix) = 0xd092d9d1 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_enable_msix_range) = 0x4b3b8b20 needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
  - nothing provides kernel(pci_wake_from_d3) = 0x9ab6292e needed by kmod-forcedeth-0.0-3.el8_1.elrepo.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
I tried with: yum update, dnf update and i also downloaded the file and yum localinstall.

Another question: i have a small server just with Nextcloud, openvpn, 1 folder Samba and Transmissiondaemon. Since 2 day is really blocking my LAN and i have to turn it off or i can't surf with other devices. I stopped httpd.service, samba, smb but nothing changed.

Thanks in advance for your help.

Carlo

User avatar
TrevorH
Forum Moderator
Posts: 27377
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: kmod-forcedeth error by update

Post by TrevorH » 2020/01/07 23:51:42

That's telling you it depends on an 8.1 kernel. CentOS 8.1 is not out yet but you can find the packages that will go into it in the CR repo so if you use dnf --enablerepo=cr install kmod-forcedeth then it should pick that up and install it too.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

carletto
Posts: 10
Joined: 2019/11/14 07:44:10

Re: kmod-forcedeth error by update

Post by carletto » 2020/01/08 08:36:08

Hi Trevor,

thank you very much for your answer. Forcedeth was successfully update.

About lan problem: is it possible that someone is trying to hack my Server? With iftop i saw i´m sending often data to an IP. I did an IP Track and the result is that the IP is in China.

Thank you

stevemowbray
Posts: 494
Joined: 2012/06/26 14:20:47

Re: kmod-forcedeth error by update

Post by stevemowbray » 2020/01/08 10:30:05

If you are running transmission then the traffic could be torrents. Check what torrents you are running. Transmission can be configured to limit upload or download bandwidth.

User avatar
TrevorH
Forum Moderator
Posts: 27377
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: kmod-forcedeth error by update

Post by TrevorH » 2020/01/08 18:41:58

Please use separate threads for each separate topic.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

carletto
Posts: 10
Joined: 2019/11/14 07:44:10

Re: kmod-forcedeth error by update

Post by carletto » 2020/01/09 10:17:46

The server was down the whole day yestarday and today for the moment is working good (i also changed the security settings).
So, both problem are solved for now.

Thank you for your help!

Post Reply

Return to “CentOS 8 - Networking Support”